-- phpMyAdmin SQL Dump
-- version 3.2.2.1deb1
-- http://www.phpmyadmin.net
--
-- Хост: localhost
-- Время создания: Окт 24 2009 г., 12:18
-- Версия сервера: 5.1.37
-- Версия PHP: 5.2.10-2ubuntu5

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- База данных: `nix-files`
--

-- --------------------------------------------------------

--
-- Структура таблицы `apt_mirrors`
--

DROP TABLE IF EXISTS `apt_mirrors`;
CREATE TABLE IF NOT EXISTS `apt_mirrors` (
  `id` int(5) NOT NULL AUTO_INCREMENT,
  `src_name` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `src_url` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `description` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=19 ;

--
-- Дамп данных таблицы `apt_mirrors`
--

INSERT INTO `apt_mirrors` (`id`, `src_name`, `src_url`, `description`) VALUES
(1, 'debian', 'ftp://ftp.us.debian.org/debian', 'Основной репозиторий Debain'),
(2, 'debian-security', 'ftp://security.debian.org/debian-security', 'Обновления безопасности Debian'),
(3, 'debian-multimedia', 'http://www.debian-multimedia.org', 'Мультимедийные пакеты Debian'),
(4, 'ubuntu', 'http://archive.ubuntu.com/ubuntu', 'Основной репозиторий Ubuntu'),
(5, 'ubuntu-security', 'http://security.ubuntu.com/ubuntu', 'Обновления безопасности Ubuntu'),
(6, 'ubuntu-canonical', 'http://archive.canonical.com', 'Коммерческие пакеты Ubuntu'),
(7, 'medibuntu', 'http://packages.medibuntu.org/', 'Мультимедийные пакеты Ubuntu'),
(8, 'infralinux', 'http://archive.infralinux.org/infralinux/', 'Основной репозиторий Infralinux'),
(9, '2gis', 'http://packages.redsolution.ru/2gis', 'ДубльГис'),
(10, 'opera', 'http://deb.opera.com/opera/', 'Opera'),
(11, 'virtualbox', 'http://download.virtualbox.org/virtualbox/debian', 'VirtualBox'),
(12, 'opera-beta', 'http://deb.opera.com/opera-beta/', 'Бэта-версии Opera'),
(13, 'playonlinux', 'http://deb.playonlinux.com/', 'PlayOnLinux'),
(14, 'freenx', 'http://www.datakeylive.com/ubuntu', 'FreeNX'),
(16, 'xneur', 'http://gq.net.ru/debian', 'XNeur'),
(17, 'ubuntu-wine', 'http://wine.budgetdedicated.com/apt', 'Wine для Ubuntu'),
(18, 'debian-winehq', 'http://www.lamaresh.net/apt', 'Wine для Debian');

-- --------------------------------------------------------

--
-- Структура таблицы `categories`
--

DROP TABLE IF EXISTS `categories`;
CREATE TABLE IF NOT EXISTS `categories` (
  `id` int(2) NOT NULL AUTO_INCREMENT,
  `category` varchar(15) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=5 ;

--
-- Дамп данных таблицы `categories`
--

INSERT INTO `categories` (`id`, `category`) VALUES
(1, 'file'),
(2, 'repo'),
(3, 'info'),
(4, 'misc');

-- --------------------------------------------------------

--
-- Структура таблицы `details`
--

DROP TABLE IF EXISTS `details`;
CREATE TABLE IF NOT EXISTS `details` (
  `id` int(2) NOT NULL AUTO_INCREMENT,
  `title` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `description` text COLLATE utf8_unicode_ci NOT NULL,
  `link` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `talklink` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `resource_id` (`title`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=2 ;

--
-- Дамп данных таблицы `details`
--

INSERT INTO `details` (`id`, `title`, `description`, `link`, `talklink`) VALUES
(1, 'ftp.niX-FILES', 'Файлопомойко', 'ftp://ftp.nix-files.org.ru', 'http://altlug.ru/phpbb/viewtopic.php?f=37&t=1846');

-- --------------------------------------------------------

--
-- Структура таблицы `ips`
--

DROP TABLE IF EXISTS `ips`;
CREATE TABLE IF NOT EXISTS `ips` (
  `id` int(5) NOT NULL AUTO_INCREMENT,
  `ip` varchar(16) COLLATE utf8_unicode_ci NOT NULL,
  `server_id` int(5) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=6 ;

--
-- Дамп данных таблицы `ips`
--

INSERT INTO `ips` (`id`, `ip`, `server_id`) VALUES
(1, '83.246.143.111', 1),
(2, '83.246.160.195', 2),
(3, '83.246.159.41', 3),
(4, '172.16.178.102', 3),
(5, '78.110.54.204', 4);

-- --------------------------------------------------------

--
-- Структура таблицы `members`
--

DROP TABLE IF EXISTS `members`;
CREATE TABLE IF NOT EXISTS `members` (
  `id` int(2) NOT NULL AUTO_INCREMENT,
  `nick` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `fio` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `avatar` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `jabber` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `icq` int(15) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=9 ;

--
-- Дамп данных таблицы `members`
--

INSERT INTO `members` (`id`, `nick`, `fio`, `avatar`, `jabber`, `icq`) VALUES
(1, 'Diffor', 'Функ Дмитрий', './img/avatar/diffor.jpg', 'diffor@jabber.ru', 0),
(2, 'firstleon', 'Малютин Владимир', './img/avatar/firstleon.jpg', 'first-leon@jabber.ru', 0),
(3, 'SlipKnoT8', 'Кравченко Игорь', './img/avatar/slipknot8.gif', 'slipknot888@jabber.ru', 0),
(4, 'mistiman', 'Кем Станислав', './img/avatar/mistiman.png', 'mistiman@jabber.ru', 0),
(5, 'IK', 'Климентьев Илья', './img/avatar/ik.jpg', 'ik00@jabber.ru', 0),
(7, 'SP|Scream', '', './img/avatar/spscream.png', 'xelnag@jabber.ru', 0),
(8, 'Yamah', '', './img/avatar/yamah.png', '&mdash;', 0);

-- --------------------------------------------------------

--
-- Структура таблицы `netcats`
--

DROP TABLE IF EXISTS `netcats`;
CREATE TABLE IF NOT EXISTS `netcats` (
  `id` int(2) NOT NULL AUTO_INCREMENT,
  `netcat` varchar(15) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=5 ;

--
-- Дамп данных таблицы `netcats`
--

INSERT INTO `netcats` (`id`, `netcat`) VALUES
(1, 'Глоб'),
(2, 'Основные'),
(3, 'Университеты'),
(4, 'Пиринг');

-- --------------------------------------------------------

--
-- Структура таблицы `networks`
--

DROP TABLE IF EXISTS `networks`;
CREATE TABLE IF NOT EXISTS `networks` (
  `id` int(2) NOT NULL AUTO_INCREMENT,
  `netcat_id` int(2) NOT NULL,
  `network` varchar(15) COLLATE utf8_unicode_ci NOT NULL,
  `link` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `netcat_id` (`netcat_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=13 ;

--
-- Дамп данных таблицы `networks`
--

INSERT INTO `networks` (`id`, `netcat_id`, `network`, `link`) VALUES
(1, 1, 'Глоб', ''),
(2, 2, 'Интелби', 'http://www.intelbi.ru/'),
(3, 2, 'Интелека', 'http://www.inteleca.ru/'),
(4, 3, 'АГУ', 'http://www.asu.ru/'),
(5, 3, 'АлтГПА', 'http://www.uni-altai.ru/'),
(6, 3, 'АлтГТУ', 'http://www.altstu.ru/'),
(7, 4, 'Webstream', 'http://www.wstream.ru/'),
(8, 4, 'Дианет', 'http://www.dianet.info/'),
(9, 4, 'Диалог', 'http://www.dialog-it.ru'),
(10, 4, 'Нэтком', 'http://www.netcorp.ru'),
(11, 4, 'Рубцовск', 'http://www.rubtsovsk.ru/'),
(12, 4, 'Алтайгриф', 'http://www.altaigrif.ru');

-- --------------------------------------------------------

--
-- Структура таблицы `resources`
--

DROP TABLE IF EXISTS `resources`;
CREATE TABLE IF NOT EXISTS `resources` (
  `id` int(2) NOT NULL AUTO_INCREMENT,
  `category_id` int(2) NOT NULL,
  `resource` varchar(15) COLLATE utf8_unicode_ci NOT NULL,
  `picture` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `member_id` int(2) NOT NULL,
  `link_talk` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `link_res` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `description` varchar(150) COLLATE utf8_unicode_ci NOT NULL,
  `custom` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `category_id` (`category_id`),
  KEY `curator` (`member_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=12 ;

--
-- Дамп данных таблицы `resources`
--

INSERT INTO `resources` (`id`, `category_id`, `resource`, `picture`, `member_id`, `link_talk`, `link_res`, `description`, `custom`) VALUES
(1, 1, 'ftp', './img/logo/ftp.png', 3, 'http://altlug.ru/phpbb/viewtopic.php?f=37&t=1846', 'ftp://ftp.nix-files.org.ru', 'Файлообменник *nix тематики (дистрибутивы, софт, медиафайлы).', ''),
(2, 2, 'apt', './img/logo/debian.png', 2, 'http://altlug.ru/phpbb/viewtopic.php?f=37&t=1370', 'http://apt.nix-files.org.ru', 'Зеркала apt-репозиториев (Debain, Ubuntu и др.)', 'apt.php'),
(3, 3, 'dicts', './img/logo/dicts.png', 5, 'http://altlug.ru/phpbb/viewtopic.php?f=37&t=1432', 'http://dicts.nix-files.org.ru', 'Сервер со словарями. Доступен как по протоколу http, так и по протоколу dict (порт 2628).', ''),
(4, 3, 'mans', './img/logo/mans.png', 5, 'http://altlug.ru/phpbb/viewtopic.php?f=37&t=1449', 'http://mans.nix-files.org.ru', 'Онлайн просмотр манов. В основном маны русскоязычные.', ''),
(5, 2, 'gentoo', './img/logo/gentoo.png', 4, 'http://altlug.ru/phpbb/viewtopic.php?f=37&t=1860', 'http://gentoo.nix-files.org.ru', 'Актуальный срез "репозитория" Gentoo.', 'gentoo.php'),
(6, 2, 'mandriva', './img/logo/mandriva.png', 8, 'http://altlug.ru/phpbb/viewtopic.php?f=37&t=2005', 'http://mandriva.nix-files.org.ru', 'Зеркало репозитория Mandriva.', ''),
(7, 2, 'arch', './img/logo/archlinux.png', 4, 'http://altlug.ru/phpbb/viewtopic.php?f=37&t=1884', 'http://arch.nix-files.org.ru', 'Зеркало репозитория ArchLinux,(содержит core, current, extra, community, testing).', 'arch.php'),
(8, 2, 'alt', './img/logo/altlinux.png', 4, 'http://altlug.ru/phpbb/viewtopic.php?f=37&t=2009', 'http://alt.nix-files.org.ru', 'Зеркало репозитория AltLinux.', ''),
(9, 2, 'freebsd', './img/logo/freebsd.png', 4, 'http://altlug.ru/phpbb/viewtopic.php?f=37&t=1990', 'http://freebsd.nix-files.org.ru', 'Актуальный срез "репозитория" FreeBSD.', 'freebsd.php'),
(10, 4, 'www', './img/logo/www.png', 1, 'http://altlug.ru/phpbb/viewtopic.php?f=37&t=1858', 'http://www.nix-files.org.ru', 'Индексная страница со ссылками на ресурсы nix-files.', ''),
(11, 4, 'fail', './img/logo/fail.png', 7, '', 'http://fail.nix-files.org.ru', 'Сайт-заглушка, отображаемый при попытке зайти на ресурс, который недоступен для данной сети.', '');

-- --------------------------------------------------------

--
-- Структура таблицы `res_net_stat`
--

DROP TABLE IF EXISTS `res_net_stat`;
CREATE TABLE IF NOT EXISTS `res_net_stat` (
  `id` int(5) NOT NULL AUTO_INCREMENT,
  `resource_id` int(2) NOT NULL,
  `network_id` int(2) NOT NULL,
  `state_id` int(2) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `resource_id` (`resource_id`,`network_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=105 ;

--
-- Дамп данных таблицы `res_net_stat`
--

INSERT INTO `res_net_stat` (`id`, `resource_id`, `network_id`, `state_id`) VALUES
(1, 1, 2, 1),
(2, 1, 3, 1),
(3, 1, 4, 4),
(4, 1, 5, 3),
(5, 2, 2, 1),
(6, 2, 3, 1),
(7, 2, 4, 4),
(8, 2, 5, 3),
(9, 3, 1, 1),
(10, 3, 2, 1),
(11, 3, 3, 2),
(12, 3, 5, 3),
(13, 4, 1, 1),
(14, 4, 2, 1),
(15, 4, 3, 2),
(16, 4, 5, 3),
(17, 5, 2, 1),
(18, 5, 3, 1),
(19, 5, 5, 2),
(20, 6, 2, 1),
(21, 6, 3, 1),
(22, 6, 5, 3),
(23, 7, 2, 1),
(24, 7, 3, 1),
(25, 7, 5, 3),
(26, 8, 2, 1),
(27, 8, 3, 1),
(28, 8, 5, 3),
(29, 9, 2, 5),
(30, 9, 3, 5),
(31, 9, 5, 5),
(32, 10, 1, 1),
(33, 10, 2, 1),
(34, 10, 3, 2),
(35, 10, 5, 3),
(36, 11, 1, 1),
(37, 10, 7, 3),
(38, 3, 7, 3),
(39, 4, 7, 3),
(40, 1, 7, 3),
(41, 2, 7, 3),
(42, 5, 7, 3),
(43, 6, 7, 3),
(44, 7, 7, 3),
(45, 8, 7, 3),
(46, 9, 7, 5),
(47, 3, 8, 3),
(48, 4, 8, 3),
(49, 1, 8, 3),
(50, 2, 8, 3),
(51, 5, 8, 3),
(52, 6, 8, 3),
(53, 7, 8, 3),
(54, 8, 8, 3),
(55, 9, 8, 5),
(56, 10, 8, 3),
(57, 1, 9, 4),
(58, 2, 9, 4),
(59, 3, 9, 4),
(60, 4, 9, 4),
(61, 5, 9, 4),
(62, 6, 9, 4),
(63, 7, 9, 4),
(64, 8, 9, 4),
(65, 9, 9, 5),
(66, 10, 9, 4),
(67, 1, 10, 4),
(68, 2, 10, 4),
(69, 3, 10, 4),
(70, 4, 10, 4),
(71, 5, 10, 4),
(72, 6, 10, 4),
(73, 7, 10, 4),
(74, 8, 10, 4),
(75, 9, 10, 5),
(76, 10, 10, 4),
(77, 1, 11, 4),
(78, 2, 11, 4),
(79, 3, 11, 4),
(80, 4, 11, 4),
(81, 5, 11, 4),
(82, 6, 11, 4),
(83, 7, 11, 4),
(84, 8, 11, 4),
(85, 9, 11, 5),
(86, 10, 11, 4),
(87, 1, 12, 4),
(88, 2, 12, 4),
(89, 3, 12, 4),
(90, 4, 12, 4),
(91, 5, 12, 4),
(92, 6, 12, 4),
(93, 7, 12, 4),
(94, 8, 12, 4),
(95, 9, 12, 5),
(96, 10, 12, 4),
(97, 3, 4, 4),
(98, 4, 4, 4),
(99, 5, 4, 4),
(100, 6, 4, 4),
(101, 7, 4, 4),
(102, 8, 4, 4),
(103, 9, 4, 5),
(104, 10, 4, 4);

-- --------------------------------------------------------

--
-- Структура таблицы `servers`
--

DROP TABLE IF EXISTS `servers`;
CREATE TABLE IF NOT EXISTS `servers` (
  `id` int(5) NOT NULL AUTO_INCREMENT,
  `server` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `cpu` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `ram` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `hdd` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `member_id` int(2) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `member_id` (`member_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=5 ;

--
-- Дамп данных таблицы `servers`
--

INSERT INTO `servers` (`id`, `server`, `cpu`, `ram`, `hdd`, `member_id`) VALUES
(1, 'diffor', 'Intel(R) Celeron(TM) CPU  1200MHz', '512Mb SDRAM', 'RAID1 320Gb (ST3250310NS)', 1),
(2, 'leon', 'Intel(R) Pentium(R) III CPU family 1400MHz', '512Mb SDRAM', 'RAID5 551Gb (4 IDE)', 2),
(3, 'Frosia', 'Intel(R) Pentium(R) 4 CPU 2.80GHz', '512Mb DDR', '640Gb (WD6401AALS) + 750Gb (WD7501AALS)', 3),
(4, 'fail', '', '', '', 7);

-- --------------------------------------------------------

--
-- Структура таблицы `states`
--

DROP TABLE IF EXISTS `states`;
CREATE TABLE IF NOT EXISTS `states` (
  `id` int(3) NOT NULL AUTO_INCREMENT,
  `image` varchar(50) NOT NULL,
  `description` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=6 ;

--
-- Дамп данных таблицы `states`
--

INSERT INTO `states` (`id`, `image`, `description`) VALUES
(1, './img/state/tick_gold.png', 'Основной ресурс'),
(2, './img/state/tick_blue.png', 'Зеркало ресурса'),
(3, './img/state/tick_green.png', 'Скоростной доступ'),
(4, './img/state/tick_gray.png', 'Доступен'),
(5, './img/state/snowflake.png', 'Приостановлен');

-- --------------------------------------------------------

--
-- Структура таблицы `subnets`
--

DROP TABLE IF EXISTS `subnets`;
CREATE TABLE IF NOT EXISTS `subnets` (
  `id` int(5) NOT NULL AUTO_INCREMENT,
  `subnet` varchar(20) NOT NULL,
  `network_id` int(2) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `network_id` (`network_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=32 ;

--
-- Дамп данных таблицы `subnets`
--

INSERT INTO `subnets` (`id`, `subnet`, `network_id`) VALUES
(1, '83.246.128.0/17', 2),
(2, '10.246.0.0/16', 2),
(3, '80.247.96.0/20', 3),
(4, '81.201.240.0/20', 3),
(5, '172.16.64.0/18', 3),
(6, '172.16.128.0/18', 3),
(7, '82.179.16.0/20', 4),
(8, '81.1.237.192/26', 5),
(9, '83.246.160.192/28', 5),
(11, '93.189.220.0/28', 5),
(13, '78.109.128.0/20', 8),
(14, '62.33.116.0/23', 9),
(15, '80.89.149.0/24', 9),
(16, '80.89.153.0/24', 10),
(17, '82.200.45.0/24', 10),
(18, '84.237.124.0/22', 10),
(19, '90.188.0.0/20', 7),
(20, '90.188.16.0/20', 7),
(21, '92.125.64.0/18', 7),
(22, '92.127.64.0/18', 7),
(23, '93.189.216.0/21', 8),
(24, '94.230.112.0/20', 8),
(25, '95.190.128.0/19', 7),
(26, '193.27.222.0/23', 11),
(27, '194.150.128.0/19', 7),
(28, '194.154.85.0/24', 12),
(29, '195.239.211.0/24', 12),
(30, '212.94.96.0/19', 7),
(31, '217.107.47.0/24', 9);
